Commit 25db7562 authored by Scott Talbert's avatar Scott Talbert

d/control: Use sip substitution variables for Depends (Closes: #903595)

parent feba6644
wxpython4.0 (4.0.1+dfsg-6) unstable; urgency=medium
* d/control: Use sip substitution variables for Depends (Closes: #903595)
-- Scott Talbert <swt@techie.net> Thu, 12 Jul 2018 18:20:08 -0400
wxpython4.0 (4.0.1+dfsg-5) unstable; urgency=medium
* Cherry-pick waf 2.0.7 updates to fix Python 3.7 FTBFS
......
......@@ -28,7 +28,7 @@ Homepage: https://www.wxpython.org/
Package: python-wxgtk4.0
Architecture: any
Depends: python-sip, python-six, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Depends: python-six, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${sip:Depends}
Suggests: wx3.0-doc
Provides: ${python:Provides}
Description: Python interface to the wxWidgets Cross-platform C++ GUI toolkit
......@@ -69,7 +69,7 @@ Description: Python interface to the wxWidgets Cross-platform C++ GUI toolkit (w
Package: python3-wxgtk4.0
Architecture: any
Depends: python3-sip, python3-six, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Depends: python3-six, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${sip3:Depends}
Suggests: wx3.0-doc
Provides: ${python3:Provides}
Description: Python 3 interface to the wxWidgets Cross-platform C++ GUI toolkit
......
......@@ -29,3 +29,11 @@ override_dh_install:
debian/python-wxgtk4.0/usr/lib/python*/dist-packages/wxPython*/wx/html2.py* \
debian/python3-wxgtk4.0/usr/lib/python*/dist-packages/wx/_html2.*so \
debian/python3-wxgtk4.0/usr/lib/python*/dist-packages/wx/html2.py*
override_dh_python2:
dh_python2
dh_sip
override_dh_python3:
dh_python3
dh_sip3
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment